OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESDimen

# IGESDimen_GeneralSymbol Class Reference

defines General Symbol, Type <228>, Form <0-3,5001-9999>
in package IGESDimen
Consists of zero or one (Form 0) or one (all other
forms), one or more geometry entities which define
a symbol, and zero, one or more associated leaders.

`#include <IGESDimen_GeneralSymbol.hxx>`

Inheritance diagram for IGESDimen_GeneralSymbol:

[legend]

## Public Member Functions
Standard_EXPORT | IGESDimen_GeneralSymbol ()
Standard_EXPORT void | Init (const Handle(IGESDimen_GeneralNote)&aNote, const Handle(IGESData_HArray1OfIGESEntity)&allGeoms, const Handle(IGESDimen_HArray1OfLeaderArrow)&allLeaders)
| This method is used to set the fields of the class GeneralSymbol - aNote : General Note, null for form 0 - allGeoms : Geometric Entities - allLeaders : Leader Arrows .
Standard_EXPORT void | SetFormNumber (const Standard_Integer form)
| Changes FormNumber (indicates the Nature of the Symbole) Error if not in ranges [0-3] or [> 5000] .
Standard_EXPORT Standard_Boolean | HasNote () const
| returns True if there is associated General Note Entity
Standard_EXPORT Handle_IGESDimen_GeneralNote | Note () const
| returns Null handle for form 0 only
Standard_EXPORT Standard_Integer | NbGeomEntities () const
| returns number of Geometry Entities
Standard_EXPORT Handle_IGESData_IGESEntity | GeomEntity (const Standard_Integer Index) const
| returns the Index'th Geometry Entity raises exception if Index <= 0 or Index > NbGeomEntities()
Standard_EXPORT Standard_Integer | NbLeaders () const
| returns number of Leaders or zero if not specified
Standard_EXPORT Handle_IGESDimen_LeaderArrow | LeaderArrow (const Standard_Integer Index) const
| returns the Index'th Leader Arrow raises exception if Index <= 0 or Index > NbLeaders()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_IGESDimen_GeneralNote | theNote
Handle_IGESData_HArray1OfIGESEntity | theGeoms
Handle_IGESDimen_HArray1OfLeaderArrow | theLeaders

## Constructor & Destructor Documentation

Standard_EXPORT IGESDimen_GeneralSymbol::IGESDimen_GeneralSymbol | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESData_IGESEntity IGESDimen_GeneralSymbol::GeomEntity | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT const IGESDimen_GeneralSymbol::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT Standard_Boolean IGESDimen_GeneralSymbol::HasNote | ( |  | ) | const

Standard_EXPORT void IGESDimen_GeneralSymbol::Init | ( | const Handle(IGESDimen_GeneralNote)& | aNote,
|  | const Handle(IGESData_HArray1OfIGESEntity)& | allGeoms,
|  | const Handle(IGESDimen_HArray1OfLeaderArrow)& | allLeaders
| ) |

Standard_EXPORT Handle_IGESDimen_LeaderArrow IGESDimen_GeneralSymbol::LeaderArrow | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Integer IGESDimen_GeneralSymbol::NbGeomEntities | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESDimen_GeneralSymbol::NbLeaders | ( |  | ) | const

Standard_EXPORT Handle_IGESDimen_GeneralNote IGESDimen_GeneralSymbol::Note | ( |  | ) | const

Standard_EXPORT void IGESDimen_GeneralSymbol::SetFormNumber | ( | const Standard_Integer | form | ) |

## Field Documentation

Handle_IGESData_HArray1OfIGESEntity IGESDimen_GeneralSymbol::theGeoms`[private]`

Handle_IGESDimen_HArray1OfLeaderArrow IGESDimen_GeneralSymbol::theLeaders`[private]`

Handle_IGESDimen_GeneralNote IGESDimen_GeneralSymbol::theNote`[private]`

The documentation for this class was generated from the following file:

- IGESDimen_GeneralSymbol.hxx